Skip to main content

Promotion Article Placements

Frequency:

Promotion article placement data changes are required to be sent in near real-time. Any change to the interface field in the external system should trigger the interface.

Expected data:

Article promotion placements quantities and types in specific stores.

Placement types (identified by placement_type_id) are usually imported separately due to their limited number.

Technical:

If a promotion article placement record does not exist in DSOrder, the record will be created.

If a promotion article placement record already exists in DSOrder, the existing record will be updated with the new data.


Import Promotion Article Placements

Method: POST
URL: https://{url}/promotions/articles/placement

Create or update promotion article placements.

Request Body

The request body is a JSON array of objects.

NameTypeRequiredDescription
promotion_idstringYesUnique promotion identifier in external system
article_idstringYesUnique article identifier in external system
store_idstringYesUnique store identifier in external system
placement_quantitynumberYesPlacement quantity
placement_type_idstringYesUnique placement type identifier in external system (list of available types must be configured in DSOrder)

Request Example

[
{
"promotion_id": "PROMO-00001",
"article_id": "ART-00001",
"store_id": "STORE-0001",
"placement_quantity": 120,
"placement_type_id": "EUR"
},
{
"promotion_id": "PROMO-00001",
"article_id": "ART-00002",
"store_id": "STORE-0002",
"placement_quantity": 100,
"placement_type_id": "EUR"
}
]

Response

200: OK — Success

{
"success": true,
"message": null,
"data": null,
"warnings": []
}

200: OK — Error

{
"success": false,
"message": "Placement import failed",
"data": null,
"warnings": []
}